Bug 1802026

Summary: crypto-policy FUTURE blocks communication of redhat-support-tool
Product: Red Hat Enterprise Linux 8 Reporter: Roman Bobek <rbobek>
Component: redhat-support-toolAssignee: Vikas Rathee <vrathee>
Status: NEW --- QA Contact: Upgrades and Supportability <upgrades-and-supportability>
Severity: medium Docs Contact: Mirek Jahoda <mjahoda>
Priority: unspecified    
Version: 8.1CC: alstone, cww, dconsoli, florianwinter, jrobbins, mjahoda, mthacker, nmavrogi, pghole, taziz, tmraz
Target Milestone: rcFlags: vrathee: needinfo? (alstone)
vrathee: needinfo? (jrobbins)
vrathee: needinfo? (taziz)
dconsoli: needinfo? (jrobbins)
Target Release: 8.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Known Issue
Doc Text:
.`redhat-support-tool` does not work with the `FUTURE` crypto policy Because a cryptographic key used by a certificate on the Customer Portal API does not meet the requirements by the `FUTURE` system-wide cryptographic policy, the `redhat-support-tool` utility does not work with this policy level at the moment. To work around this problem, use the `DEFAULT` crypto policy while connecting to the Customer Portal API.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
curl api output
none
curl api output - FUTURE none

Description Roman Bobek 2020-02-12 08:30:25 UTC
Hello all,

one of our customers just reported the following issue on RHEL 8.1.

Current behavior:
Setting the system crypto-policy to FUTURE is blocking the communication of redhat-support-tool with Customer Portal API.

---
    update-crypto-policies --set FUTURE
    redhat-support-tool kb 66281
    Please enter the password for rhn-support-rbobek:
    Save the password for rhn-support-rbobek in /root/.redhat-support-tool/redhat-support- tool.conf (y/n): n
    Problem connecting to the support services API. Is the service accessible from this host?
    #
---

When we use some other crypto policy, the communication is working fine. The FUTURE crypto policy is very strict and probably is disabling cipher-suite needed for the communication:
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/security_hardening/using-the-system-wide-cryptographic-policies_security-hardening

Expected behavior:
redhat-support-tool should work with the FUTURE crypto policy set.

Comment 1 Tomas Mraz 2020-02-12 10:42:09 UTC
The FUTURE policy has a special purpose and is not meant to be used in general. It will not be adjusted because it would hinder its purpose.

If the redhat-support-tool has to work with the FUTURE policy set it needs to be solved (on the server side) of the redhat-support-tool.

Comment 2 Roman Bobek 2020-02-19 08:54:46 UTC
Hello Tomas,

yes, that's fine. We do not expect to change the setting of crypto policies.

Can somebody from PM review this request and let us know if support-tool should work with this settings (IMHO it should).

Many thanks,


-Roman

Comment 3 Tomas Mraz 2020-02-19 09:44:25 UTC
Basically it means that the servers that the support-tool connects to have to have 3kbit RSA certificates (or ECDSA certificates) as minimum.
(There might be other issues but they are much less probable.)

Comment 20 Roman Bobek 2020-03-27 08:34:56 UTC
Created attachment 1673993 [details]
curl api output

Comment 22 Roman Bobek 2020-03-27 09:02:49 UTC
Created attachment 1673995 [details]
curl api output - FUTURE

Comment 23 Jim Robbins 2020-03-27 17:17:42 UTC
@vikas

The certificate that is directly on the Strata pods in production is for strata.ext.us-west.dc.prod.paas.redhat.com. That certificate was renewed in June, 2019 and is 4096 bits. However, the curl that @roman face showed the following certificate was flagged:

* Server certificate:
*  subject: C=US; ST=North Carolina; L=Raleigh; O=Red Hat, Inc.; OU=Engineering; CN=maven.repository.redhat.com
*  start date: Jan 13 00:00:00 2020 GMT
*  expire date: Jul 14 12:00:00 2020 GMT
*  issuer: C=US; O=DigiCert Inc; OU=www.digicert.com; CN=GeoTrust RSA CA 2018
*  SSL certificate verify result: EE certificate key too weak (66), continuing anyway.

This certificate is for the maven server that both Strata and Hydra connect to. I can't renew it since Strata doesn't own the maven server. However, the certificate expires in July so it will need to be renewed soon and the updated certificate should be 4096 bits.